Bug 160544

Summary: svn properties empty after edit
Product: versioncontrol Reporter: ricktw <ricktw>
Component: SubversionAssignee: issues <issues.netbeans.org>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P3 CC: mmirilovic
Version: 6.x   
Target Milestone: 6.x   
Hardware: PC   
OS: All   
Whiteboard: 65fixes4-verified
Issue Type: DEFECT Exception Report:
Attachments: My config file

Description ricktw 2009-03-18 13:50:40 UTC
When a local file is changed, the Subversion diff shows also changes for svn:keywords and svn:mergeinfo.
These properties are marked as 'locally changes' when I've not changed them.
Subversion diff 'thinks' I've removed the property values because the right side (locally modified) shows an empty
properties...

I've subversion config is configured correctly (enable-auto-props = yes, etc.) and I'm using CollabNet's subversion client.
Comment 1 ricktw 2009-03-18 13:52:10 UTC
Created attachment 78374 [details]
My config file
Comment 2 Ondrej Vrabec 2009-03-20 15:25:32 UTC
*** Issue 151611 has been marked as a duplicate of this issue. ***
Comment 3 Ondrej Vrabec 2009-03-20 15:28:13 UTC
Could you please check the property with the command-line client? I need to know if NetBeans really change the svn
property or if it just displays the property value incorrectly.
'svn propget svn:keywords modified_file'

In case the value is shown incorrectly, does refresh help?
Comment 4 ricktw 2009-03-20 15:39:48 UTC
When performing the command line check, the properties are displayed correctly...

Just let me know if you need additional information.
Comment 5 Ondrej Vrabec 2009-03-25 15:48:55 UTC
1) Could you please attach your message.log?
2) And could you please check if the right panel shows 'empty content' or displays '<Content Not Available>'?
thanks
Comment 6 Ondrej Vrabec 2009-03-25 16:58:18 UTC
possible fix, should eliminate displaying 'modified' property even if it wasn't changed - under javahl
please answer previous questions, try the patch and verify

changeset   : 123506:4d824873ebfa
author      : Ondrej Vrabec <ovrabec@netbeans.org>
date        : Wed Mar 25 16:51:24 CET 2009
summary     : #160544 - svn properties empty after edit
under javahl returning base rather than null as a modified local properties file
Comment 7 ricktw 2009-03-25 17:05:33 UTC
Hi,

1) I'm sorry, but where is the message.log located; what message log do you mean?
2) right panel shows <Content Not Available>

And where can I get the patch / what patch do you mean?

Thanks for your help...
Comment 8 Ondrej Vrabec 2009-03-25 17:16:31 UTC
Hi,
1) message.log is located in USERDIR/.netbeans/NB_BUILD_VERSION/var/log/message.log
2) this is what i wanted to hear :), the patch should work

to try the patch wait a few days, when the changes will make it to the main-golden - you will get an email with
notification and then download a nightly development build. Or wait a few days when 6.7M3 is released.
Comment 9 ricktw 2009-03-26 08:25:03 UTC
Perfect! thanks a lot for your help.

I really like the stability of 6.5, it there a workaround to get it working again in 6.5(.1)?

TA,
Rick
Comment 10 Quality Engineering 2009-03-26 14:28:27 UTC
Integrated into 'main-golden', will be available in build *200903260733* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4d824873ebfa
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #160544 - svn properties empty after edit
under javahl returning base rather than null as a modified local properties file
Comment 11 Ondrej Vrabec 2009-04-07 11:01:27 UTC
verified by user
Comment 12 Ondrej Vrabec 2009-04-07 12:36:22 UTC
back-port to 6.5
fixed as release65_fixes #9eccdb1cf304
Comment 13 Jaromir Uhrik 2009-04-08 17:42:10 UTC
Verified in the following build/config with the patch4:

Product Version: NetBeans IDE 6.5.1 (Build 200903060201)
Java: 1.6.0_12; Java HotSpot(TM) Client VM 11.2-b01
System: Windows Vista version 6.0 running on x86; Cp1250; cs_CZ (nb)
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo